@import (reference) 'mixins';

.content-wrapper {
  display: flex;

  @media screen and (max-width: 767px) {
    flex-direction: column;
  }

  & > .body {
    flex: 1 1 auto;
  }

  & > .sidebar {
    flex: 1 0 auto;
  }

  margin: 0 1rem;
}

.site-alerts {
  margin: 0 1rem 1rem;

  &:empty {
    display: none;
  }

  .alert {
    animation: fadein 1s;
    border-radius: 0.5rem;
    padding: 1rem;
  }

  .alert-notice {
    background: @alert-notice-color;
  }

  .alert-success {
    background: @alert-success-color;
  }
}

@keyframes fadein {
  from { opacity: 0; }
  to { opacity: 1; }
}

.site-footer {
  margin-top: auto;
  padding: 1rem 1rem 0;

  .site-footer-version {
    display: table;
    margin-left: auto;
    margin-right: auto;
    opacity: 0.35;
    font-size: 0.80rem;
    text-align: center;

    &:hover {
      opacity: 1;
    }
  }
}

.notification-head {
  font-size: 1rem;
  margin-bottom: 0;
}

.user-flag::before { content: '['; }
.user-flag::after { content: ']'; }

.user-flag-admin {
  color: @user-flag-admin-color;
}

.user-flag-moderator {
  color: @user-flag-moderator-color;
}
